Bug 173979 - Review Request: Licq - A graphical ICQ Client for Linux
Review Request: Licq - A graphical ICQ Client for Linux
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
David Lawrence
http://people.redhat.com/pvrabec/rpms...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-11-23 07:12 EST by Peter Vrabec
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-18 10:50:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Vrabec 2005-11-23 07:12:06 EST
Spec Name or Url: licq.spec
SRPM Name or Url: licq-1.3.2-1.src.rpm
Description: Licq is a ICQ Client for the common ICQ network. It provides a graphical user interface based on QT and is enhanceable with many powerful plugins.

This build supports SSL and GPGME and contains these plugins:
* auto-reply
* osd
* qt-gui
* kde-gui

This is my first package, and I'm seeking a sponsor.
Comment 1 Kevin Kofler 2005-11-29 01:49:52 EST
Nobody interested in this? :-( While it doesn't support as many protocols as 
GAIM, LICQ has its advantages over GAIM, e.g. support for ICQ user-to-user 
chats. It would be nice to see this back (it was part of Red Hat Linux back in 
the day) in Extras. 
 
If you want, I can: 
* run the package through the review checklist, 
* build the package, 
* run it and report any issues noticed that way. 
I can't however formally approve the package or sponsor you, we need someone 
with a higher trust level for that. 
Comment 2 Tomas Mraz 2005-11-29 06:15:47 EST
rpmbuild fails:

Processing files: licq-1.3.2-1
error: File not found:
/var/tmp/licq-1.3.2-1-root-mraz/usr/share/applnk/Internet/licq.desktop

KDEDIR must be set to "/usr" before make install.

plugins/qt-gui/share/Makefile must be patched so in the install-data-local
target the writability test for $(KDEDIR) is changed to $(DESTDIR)$(KDEDIR) -
this should solve the build failure.

There are many missing build requires (kde, X) - install mock to find them.

In the build process the qt-gui is built twice - with-kde and without, I think
it is unnecessary and it clutters the spec file.
Comment 3 Peter Vrabec 2005-12-16 07:03:10 EST
I have fixed these issues from comment #2. Tomas, could u review the new package.
Comment 4 Tomas Mraz 2005-12-16 09:32:17 EST
rpmlint licq-1.3.2-1.i386.rpm
W: licq no-documentation
W: licq dangling-relative-symlink /usr/share/licq/qt-gui/locale/cs.qm cs_CZ.qm

The symlink means that the localization of the gui doesn't work, but that's
probably some problem with the Makefile.

However the documentation should be included - at least the licence must be
included (COPYING), but I recommend including other documentation as well.

rpmlint licq-kde-1.3.2-1.i386.rpm
W: licq-kde non-standard-group Networking/Instant messaging
W: licq-kde no-documentation

rpmlint licq-osd-1.3.2-1.i386.rpm
W: licq-osd non-standard-group Networking/Instant messaging
W: licq-osd no-documentation

Again the no doc (and licence) problem and also the group should be
Applications/Internet probably.
Comment 5 Peter Vrabec 2005-12-19 05:37:15 EST
fixed, need 4 review
Comment 6 Tomas Mraz 2005-12-20 11:13:37 EST
Sorry, still not right:
rpmlint -v ../RPMS/i386/licq-1.3.2-1.i386.rpm
I: licq checking
E: licq version-control-internal-file /usr/share/doc/licq-1.3.2/doc/CVS/Root
E: licq version-control-internal-file /usr/share/doc/licq-1.3.2/upgrade/CVS/Root
E: licq version-control-internal-file
/usr/share/doc/licq-1.3.2/upgrade/CVS/Repository
E: licq version-control-internal-file /usr/share/doc/licq-1.3.2/doc/CVS/Entries
E: licq version-control-internal-file /usr/share/doc/licq-1.3.2/upgrade/CVS/Entries
E: licq version-control-internal-file /usr/share/doc/licq-1.3.2/doc/CVS/Repository

Please run rpmlint against your built files next time to save your and my time
;-) Note that only relevant doc files should be in the package, not everything.

Other problems:
- please add LICENSE file to %doc as well.
- %{_datadir}/locale/* in files - this is wrong '%find_lang xxxx' must be used
with %files -f xxxx.lang'. Also the locale apparently belong to the osd plugin
so they should be packaged with it.
- read http://fedoraproject.org/wiki/PackagingGuidelines DesktopFiles entry how
to cope with the .desktop file - It's also questionable if it should be included
within the -kde subpackage or within the main package (I'd prefer that.)
- the %post script seems completely bogus to me
- the package doesn't own %{_datadir}/licq and %{_libdir}/licq

Comment 7 Peter Vrabec 2006-01-02 08:24:12 EST
Fixed and checked with rpmlint. I hope licq package is allright now.
Comment 8 Tomas Mraz 2006-01-02 15:47:32 EST
The desktop file should be installed with desktop-file-install utility and
BuildRequires: desktop-file-utils should be added to the .spec. The rest seems
to be OK now.
Comment 9 Peter Vrabec 2006-01-03 10:38:57 EST
OK, .desktop file is installed with desktop-file-install and not via Makefile.
Comment 10 Tomas Mraz 2006-01-03 17:43:47 EST
Final review:
* RPM name is OK
* Source licq-1.3.2.tar.bz2 is the same as upstream
* This is the latest version
* Builds fine
* rpmlint looks OK
* Works fine

Possible improvement:
* Tag as %%lang the files /usr/share/licq/qt-gui/locale/*.qm

APPROVED
Comment 11 Kevin Kofler 2006-01-17 21:13:00 EST
Package for devel is now out. Are we going to see an FC4 build of this? That 
would be nice, FC5 is still 2 months away from now. 
Comment 12 Peter Vrabec 2006-01-18 08:14:14 EST
I'd like to build FC4 branch as soon as possible.

Note You need to log in before you can comment on or make changes to this bug.